Index: /trunk/SRC/Documentation/xmldoc/makefile
===================================================================
--- /trunk/SRC/Documentation/xmldoc/makefile	(revision 353)
+++ /trunk/SRC/Documentation/xmldoc/makefile	(revision 354)
@@ -55,4 +55,5 @@
 	-@rm -f $(DIRTMP)/all_plots.xml
 	-@rm -f $(DIRTMP)/getsaxo_sed.xml
+	-@rm -f $(DIRTMP)/firststeps_sed.xml
 
 dbkcheck :
@@ -108,8 +109,12 @@
 $(DIRTMP)/websaxo_full.xml
 	@xsltproc \
+	--output ginette \
+	$(DIRSRC)/saxo_tracwiki.xsl \
+	$(DIRTMP)/websaxo_full.xml
+	@xsltproc \
 	$(DIRSRC)/saxo_tracwiki.xsl \
 	$(DIRTMP)/websaxo_full.xml | \
-	awk 'sub(/@star@ $$/,""){printf(" * %s", $$0);next};1' | \
-	sed -e "s+@star@+*+" \
+	awk 'sub(/ @star@ $$/,""){printf(" * %s", $$0);next};1' | \
+	sed -e "s+@star@+ *+" \
 	> $@
 
@@ -144,5 +149,5 @@
 	$(DIRSRC)/saxo_tracwiki.xsl \
 	$(DIRTMP)/faqsaxo_full.xml | \
-	awk 'sub(/ @star@ $$/,""){printf("* %s", $$0);next};1' | \
+	awk 'sub(/ @star@ $$/,""){printf(" * %s", $$0);next};1' | \
         sed -e "s+@star@+*+" \
 	> $@
@@ -178,5 +183,5 @@
 	$(DIRSRC)/saxo_tracwiki.xsl \
 	$(DIRTMP)/getsaxo_full.xml | \
-	awk 'sub(/ @star@ $$/,""){printf("* %s", $$0);next};1' | \
+	awk 'sub(/ @star@ $$/,""){printf(" * %s", $$0);next};1' | \
         sed -e "s+@star@+*+" \
 	> $@
@@ -214,5 +219,5 @@
 	$(DIRSRC)/saxo_tracwiki.xsl \
 	$(DIRTMP)/firststeps_full.xml | \
-	awk 'sub(/ @star@ $$/,""){printf("* %s", $$0);next};1' | \
+	awk 'sub(/ @star@ $$/,""){printf(" * %s", $$0);next};1' | \
         sed -e "s+@star@+*+" \
 	> $@
@@ -239,5 +244,5 @@
 	$(DIRSRC)/saxo_tracwiki.xsl \
 	$(DIRTMP)/all_plots.xml | \
-	awk 'sub(/ @star@ $$/,""){printf("* %s", $$0);next};1' | \
+	awk 'sub(/ @star@ $$/,""){printf(" * %s", $$0);next};1' | \
         sed -e "s+@star@+*+" \
 	> $@
@@ -277,5 +282,4 @@
 	--output $@ \
 	$(DIRTMP)/firststeps_sed.xml
-	@rm $(DIRTMP)/firststeps_sed.xml 2> /dev/null
 
 $(DIRWIKI)/Mailing : \
@@ -285,5 +289,5 @@
 	$(DIRSRC)/saxo_tracwiki.xsl \
 	$(DIRTMP)/mailing_full.xml | \
-	awk 'sub(/ @star@ $$/,""){printf("* %s", $$0);next};1' | \
+	awk 'sub(/ @star@ $$/,""){printf(" * %s", $$0);next};1' | \
         sed -e "s+@star@+*+" \
 	> $@
@@ -319,5 +323,5 @@
 	$(DIRSRC)/saxo_tracwiki.xsl \
 	$(DIRTMP)/mini_notice_full.xml | \
-	awk 'sub(/ @star@ $$/,""){printf("* %s", $$0);next};1' | \
+	awk 'sub(/ @star@ $$/,""){printf(" * %s", $$0);next};1' | \
         sed -e "s+@star@+*+" \
 	> $@
@@ -353,5 +357,5 @@
 	$(DIRSRC)/saxo_tracwiki.xsl \
 	$(DIRTMP)/tiplink_full.xml | \
-	awk 'sub(/ @star@ $$/,""){printf("* %s", $$0);next};1' | \
+	awk 'sub(/ @star@ $$/,""){printf(" * %s", $$0);next};1' | \
         sed -e "s+@star@+*+" \
 	> $@
@@ -387,5 +391,5 @@
 	$(DIRSRC)/saxo_tracwiki.xsl \
 	$(DIRTMP)/infoupdatecm_full.xml | \
-	awk 'sub(/ @star@ $$/,""){printf("* %s", $$0);next};1' | \
+	awk 'sub(/ @star@ $$/,""){printf(" * %s", $$0);next};1' | \
         sed -e "s+@star@+*+" \
 	> $@
@@ -422,5 +426,5 @@
 	$(DIRSRC)/saxo_tracwiki.xsl \
 	$(DIRTMP)/infoupdatekwd_full.xml | \
-	awk 'sub(/ @star@ $$/,""){printf("* %s", $$0);next};1' | \
+	awk 'sub(/ @star@ $$/,""){printf(" * %s", $$0);next};1' | \
         sed -e "s+@star@+*+" \
 	> $@
@@ -474,5 +478,5 @@
 	$(DIRSRC)/saxo_tracwiki.xsl \
 	$(DIRTMP)/whatissaxo_full.xml | \
-	awk 'sub(/ @star@ $$/,""){printf("* %s", $$0);next};1' | \
+	awk 'sub(/ @star@ $$/,""){printf(" * %s", $$0);next};1' | \
         sed -e "s+@star@+*+" \
 	> $@
@@ -508,5 +512,5 @@
 	$(DIRSRC)/saxo_tracwiki.xsl \
 	$(DIRTMP)/whatsnew_full.xml | \
-	awk 'sub(/ @star@ $$/,""){printf("* %s", $$0);next};1' | \
+	awk 'sub(/ @star@ $$/,""){printf(" * %s", $$0);next};1' | \
         sed -e "s+@star@+*+" \
 	> $@
@@ -542,5 +546,5 @@
 	$(DIRSRC)/saxo_tracwiki.xsl \
 	$(DIRTMP)/updatesaxo_full.xml | \
-	awk 'sub(/ @star@ $$/,""){printf("* %s", $$0);next};1' | \
+	awk 'sub(/ @star@ $$/,""){printf(" * %s", $$0);next};1' | \
         sed -e "s+@star@+*+" \
 	> $@
Index: /trunk/SRC/Documentation/xmldoc/saxo_tracwiki.xsl
===================================================================
--- /trunk/SRC/Documentation/xmldoc/saxo_tracwiki.xsl	(revision 353)
+++ /trunk/SRC/Documentation/xmldoc/saxo_tracwiki.xsl	(revision 354)
@@ -96,9 +96,4 @@
 </xsl:template>
 
-<xsl:template match="d:simpara">
- <xsl:text>&#xA;</xsl:text>
- <xsl:apply-templates/>
-</xsl:template>
-
 <xsl:template match="d:para/d:command">
  <xsl:text>{{{</xsl:text><xsl:value-of select="."/><xsl:text>}}}</xsl:text>
@@ -106,5 +101,12 @@
 
 <xsl:template match="d:filename">
- <xsl:text>{{{</xsl:text><xsl:value-of select="."/><xsl:text>}}}</xsl:text>
+ <xsl:choose>
+  <xsl:when test="local-name(..)='userinput'">
+   <xsl:value-of select="."/>
+  </xsl:when>
+  <xsl:otherwise>
+   <xsl:text>{{{</xsl:text><xsl:value-of select="."/><xsl:text>}}}</xsl:text>
+  </xsl:otherwise>
+ </xsl:choose>
 </xsl:template>
 
@@ -122,4 +124,5 @@
 using TracWiki
  -->
+ <xsl:text>&#xA;</xsl:text>
  <xsl:text>{{{</xsl:text>
  <xsl:text>&#xA;</xsl:text>
@@ -168,8 +171,15 @@
 
 <xsl:template match="d:itemizedlist/d:listitem/d:simpara/d:link[@xl:href]">
+ <xsl:text>&#xA;</xsl:text>
  <xsl:text> [</xsl:text><xsl:value-of select="@xl:href"/> <xsl:text> </xsl:text><xsl:value-of select="."/> <xsl:text>]</xsl:text>
 </xsl:template>
 
+<xsl:template match="d:variablelist/">
+ <xsl:text>&#xA;</xsl:text>
+ <xsl:apply-templates/>
+</xsl:template>
+
 <xsl:template match="d:variablelist/d:varlistentry/d:listitem/d:simpara/d:link[@xl:href]">
+ <xsl:text>&#xA;</xsl:text>
  <xsl:text> [</xsl:text><xsl:value-of select="@xl:href"/> <xsl:text> </xsl:text><xsl:value-of select="."/> <xsl:text>]</xsl:text>
 </xsl:template>
@@ -273,4 +283,9 @@
 </xsl:template>
 
+<xsl:template match="d:emphasis[@role='bold']">
+ <xsl:text>'''</xsl:text><xsl:value-of select="."/><xsl:text>'''</xsl:text>
+</xsl:template>
+
+
 <xsl:template match="d:replaceable">
 <!--
@@ -290,4 +305,5 @@
 <xsl:template match="d:simplelist">
 <!-- but beware of links inside -->
+ <xsl:text>&#xA;</xsl:text>
  <xsl:text>{{{</xsl:text>
  <xsl:text>&#xA;</xsl:text>
@@ -302,4 +318,5 @@
 <xsl:template match="d:informaltable">
 <!-- but beware of links inside -->
+ <xsl:text>&#xA;</xsl:text>
  <xsl:text>{{{</xsl:text>
  <xsl:text>&#xA;</xsl:text>
Index: /trunk/SRC/Documentation/xmldoc/wiki/FaqSaxo
===================================================================
--- /trunk/SRC/Documentation/xmldoc/wiki/FaqSaxo	(revision 353)
+++ /trunk/SRC/Documentation/xmldoc/wiki/FaqSaxo	(revision 354)
@@ -128,5 +128,6 @@
 
 Yes, if you use at least IDL 6.2. It is produced by IDLdoc. SAXO and IDL online_help have been merged, you can simply get the help by typing:
-     {{{
+     
+{{{
 #!html
 <pre xmlns:xl="http://www.w3.org/1999/xlink" class="screen">
@@ -188,5 +189,5 @@
 and |.
 
-* Paragraphs of {{{*.pro}}} headers are shown with a proportional
+ * Paragraphs of {{{*.pro}}} headers are shown with a proportional
 font in the HTML release.
 
@@ -214,8 +215,9 @@
 
 There is one way with command line :
-     {{{
-#!html
-<pre xmlns:xl="http://www.w3.org/1999/xlink" class="screen">
-       <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">aspell</strong></span> <code class="option">--mode=sgml</code> <code class="option">-c</code> {{{xmlfile}}}</code></strong>
+     
+{{{
+#!html
+<pre xmlns:xl="http://www.w3.org/1999/xlink" class="screen">
+       <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">aspell</strong></span> <code class="option">--mode=sgml</code> <code class="option">-c</code> xmlfile</code></strong>
      </pre>
 }}}
@@ -232,8 +234,9 @@
 
 Not so easy but you can start with something like this :
-     {{{
-#!html
-<pre xmlns:xl="http://www.w3.org/1999/xlink" class="screen">
-       <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">cd</strong></span> {{{${HOME}/SAXO_DIR/SRC/}}}</code></strong>
+     
+{{{
+#!html
+<pre xmlns:xl="http://www.w3.org/1999/xlink" class="screen">
+       <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">cd</strong></span> ${HOME}/SAXO_DIR/SRC/</code></strong>
        <code class="prompt">$</code> <strong class="userinput"><code>list=$(find . -name "*.pro")</code></strong>
        <code class="prompt">$</code> <strong class="userinput"><code>for file in ${list}; do aspell list &lt; ${file}; done &gt; /tmp/list_word </code></strong>
@@ -249,5 +252,6 @@
 
 To find occurences of one of these misspelled words, you have to do this :
-     {{{
+     
+{{{
 #!html
 <pre xmlns:xl="http://www.w3.org/1999/xlink" class="screen">
@@ -269,5 +273,6 @@
 
 You won't see  online help update if you are working with the official distribution because of {{{!HELP_PATH}}}. To override this problem, when you are in {{{SAXO_basedirectory/SAXO_DIR/SRC/Documentation/xmldoc/}}},  you can call online help like this :
-     {{{
+     
+{{{
 #!html
 <pre xmlns:xl="http://www.w3.org/1999/xlink" class="screen">
